Loading...
Searching...
No Matches
kdtree Struct Reference

k-d tree More...

`#include <kdtree.h>`

Collaboration diagram for kdtree:
[legend]

## Data Fields

unsigned char | ndims
unsigned char * | nextdim
int | csize
int | btol
size_t | count
struct kdnode * | root

## Detailed Description

k-d tree

Definition at line 80 of file kdtree.h.

## Field Documentation

## btol

int kdtree::btol

balancing tolerance

Definition at line 84 of file kdtree.h.

Referenced by kdtree_create().

## count

size_t kdtree::count

number of items in the tree

Definition at line 85 of file kdtree.h.

## csize

int kdtree::csize

size of coordinates in bytes

Definition at line 83 of file kdtree.h.

## ndims

unsigned char kdtree::ndims

number of dimensions

Definition at line 81 of file kdtree.h.

Referenced by kdtree_create().

## nextdim

unsigned char* kdtree::nextdim

split dimension of child nodes

Definition at line 82 of file kdtree.h.

## root

struct kdnode* kdtree::root

tree root

Definition at line 86 of file kdtree.h.

Referenced by kdtree_init_trav().

The documentation for this struct was generated from the following file:

- kdtree.h